package graphLib;

/**
 *
 * @author tadaki
 */
public class NetworkTree extends Network {

    private Vertex root;

    /** Creates a new instance of Tree */
    public NetworkTree(String name) {
        super(name);
    }

    public NetworkTree(final NetworkTree tree) {
        this(tree, true);
    }

    public NetworkTree(final NetworkTree tree, boolean copyArcs) {
        super((Network) tree, copyArcs);
        root = tree.root;
        vertexes.add(root);
    }

    public NetworkTree(final Network network) {
        this(network, true);
    }

    public NetworkTree(final Network network, boolean copyArcs) {
        super(network, copyArcs);
    }

    public void setRoot(String name) {
        root = new Vertex(name);
        vertexes.add(root);
    }

    public void setRoot(Vertex v) {
        root = v;
        vertexes.add(v);
    }
}
